# Some Qt modules also load plugin target in extra config, so check whether the target already exists
if(NOT TARGET ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin)
    add_library(${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin MODULE IMPORTED)

set(_Qt5QXdgDesktopPortalThemePlugin_MODULE_DEPENDENCIES "Gui;Core")

foreach(_module_dep ${_Qt5QXdgDesktopPortalThemePlugin_MODULE_DEPENDENCIES})
    if(NOT ${QT_VARIANT_PREFIX}Qt5${_module_dep}_FOUND)
        find_package(${QT_VARIANT_PREFIX}Qt5${_module_dep}
             ${_Qt5Gui_FIND_VERSION_EXACT}
            ${_Qt5Gui_DEPENDENCIES_FIND_QUIET}
            ${_Qt5Gui_FIND_DEPENDENCIES_REQUIRED}
            PATHS "${CMAKE_CURRENT_LIST_DIR}/.." NO_DEFAULT_PATH
        )
    endif()
endforeach()

    _populate_Gui_plugin_properties_static(${QT_VARIANT_PREFIX}Qt5::Gui ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin QXdgDesktopPortalThemePlugin RELEASE "platformthemes/libqxdgdesktopportal.a")


list(APPEND ${QT_VARIANT_PREFIX}Qt5Gui_PLUGINS ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin)
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::Gui APPEND PROPERTY QT_ALL_PLUGINS_platformthemes ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin)
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin PROPERTY QT_PLUGIN_TYPE "platformthemes")
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin PROPERTY QT_PLUGIN_EXTENDS "-")
set_property(TARGET ${QT_VARIANT_PREFIX}Qt5::QXdgDesktopPortalThemePlugin PROPERTY QT_PLUGIN_CLASS_NAME "QXdgDesktopPortalThemePlugin")
endif()
